Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMotifStyle Class Reference

The QMotifStyle class provides Motif look and feel. More...

`#include <qmotifstyle.h>`

Inherits QCommonStyle.

Inherited by QCDEStyle, QMotifPlusStyle and QSGIStyle.

List of all member functions.

## Public Members

- QMotifStyle ( bool useHighlightCols = FALSE )
- void setUseHighlightColors ( bool arg )
- bool useHighlightColors () const

## Detailed Description

The QMotifStyle class provides Motif look and feel.

This class implements the Motif look and feel. It closely resembles the original Motif look as defined by the Open Group, with the addition of some minor improvements. The Motif style is Qt's default GUI style on UNIX platforms.

See also Widget Appearance and Style.

## Member Function Documentation

### QMotifStyle::QMotifStyle ( bool useHighlightCols = FALSE )

Constructs a QMotifStyle.

If useHighlightCols is FALSE (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### void QMotifStyle::setUseHighlightColors ( bool arg )

If arg is FALSE, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

The effect will show up the next time an application palette is set via QApplication::setPalette(). The current color palette of the application remains unchanged.

See also QStyle::polish().

### bool QMotifStyle::useHighlightColors () const

Returns TRUE if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns FALSE. The default is FALSE.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.